<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteImageSensor StructType
 * @subpackage Structs
 */
class DeleteImageSensor extends AbstractStructBase
{
    /**
     * The input
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \CustomerManagement\StructType\DeleteImageSensorInput
     */
    public $input;
    /**
     * Constructor method for DeleteImageSensor
     * @uses DeleteImageSensor::setInput()
     * @param \CustomerManagement\StructType\DeleteImageSensorInput $input
     */
    public function __construct(\CustomerManagement\StructType\DeleteImageSensorInput $input = null)
    {
        $this
            ->setInput($input);
    }
    /**
     * Get input value
     * @return \CustomerManagement\StructType\DeleteImageSensorInput|null
     */
    public function getInput()
    {
        return $this->input;
    }
    /**
     * Set input value
     * @param \CustomerManagement\StructType\DeleteImageSensorInput $input
     * @return \CustomerManagement\StructType\DeleteImageSensor
     */
    public function setInput(\CustomerManagement\StructType\DeleteImageSensorInput $input = null)
    {
        $this->input = $input;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\DeleteImageSensor
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
